View Issue Details

IDProjectCategoryView StatusLast Update
0002050Far ManagerPlugins APIpublic2012-04-25 12:14
ReporterMaximusAssigned Tozg 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002050: Не хватает настроек: ShowMenuBar, ColumnTitles, StatusLine, SortMode
Descriptionsubj
TagsNo tags attached.
Build2546

Activities

Maximus

2012-03-13 19:28

reporter  

config.diff (2,848 bytes)
Index: config.cpp
===================================================================
--- config.cpp	(revision 7682)
+++ config.cpp	(working copy)
@@ -755,7 +757,7 @@
 
 	{1, GeneralConfig::TYPE_INTEGER, FSSF_PRIVATE,           NKeyInterface, L"Mouse",&Opt.Mouse,1, 0},
 	{0, GeneralConfig::TYPE_INTEGER, FSSF_PRIVATE,           NKeyInterface, L"UseVk_oem_x",&Opt.UseVk_oem_x,1, 0},
-	{1, GeneralConfig::TYPE_INTEGER, FSSF_PRIVATE,           NKeyInterface, L"ShowMenuBar",&Opt.ShowMenuBar,0, 0},
+	{1, GeneralConfig::TYPE_INTEGER, FSSF_SCREEN,            NKeyInterface, L"ShowMenuBar",&Opt.ShowMenuBar,0, 0},
 	{0, GeneralConfig::TYPE_INTEGER, FSSF_PRIVATE,           NKeyInterface, L"CursorSize1",&Opt.CursorSize[0],15, 0},
 	{0, GeneralConfig::TYPE_INTEGER, FSSF_PRIVATE,           NKeyInterface, L"CursorSize2",&Opt.CursorSize[1],10, 0},
 	{0, GeneralConfig::TYPE_INTEGER, FSSF_PRIVATE,           NKeyInterface, L"CursorSize3",&Opt.CursorSize[2],99, 0},
@@ -996,14 +998,14 @@
 	{1, GeneralConfig::TYPE_INTEGER, FSSF_PRIVATE,           NKeyPanelRight,L"SelectedFirst",&Opt.RightSelectedFirst,0, 0},
 	{1, GeneralConfig::TYPE_INTEGER, FSSF_PRIVATE,           NKeyPanelRight,L"DirectoriesFirst",&Opt.RightPanel.DirectoriesFirst,1,0},
 
-	{1, GeneralConfig::TYPE_INTEGER, FSSF_PRIVATE,           NKeyPanelLayout,L"ColumnTitles",&Opt.ShowColumnTitles,1, 0},
-	{1, GeneralConfig::TYPE_INTEGER, FSSF_PRIVATE,           NKeyPanelLayout,L"StatusLine",&Opt.ShowPanelStatus,1, 0},
+	{1, GeneralConfig::TYPE_INTEGER, FSSF_PANEL,             NKeyPanelLayout,L"ColumnTitles",&Opt.ShowColumnTitles,1, 0},
+	{1, GeneralConfig::TYPE_INTEGER, FSSF_PANEL,             NKeyPanelLayout,L"StatusLine",&Opt.ShowPanelStatus,1, 0},
 	{1, GeneralConfig::TYPE_INTEGER, FSSF_PRIVATE,           NKeyPanelLayout,L"TotalInfo",&Opt.ShowPanelTotals,1, 0},
 	{1, GeneralConfig::TYPE_INTEGER, FSSF_PRIVATE,           NKeyPanelLayout,L"FreeInfo",&Opt.ShowPanelFree,0, 0},
 	{1, GeneralConfig::TYPE_INTEGER, FSSF_PRIVATE,           NKeyPanelLayout,L"Scrollbar",&Opt.ShowPanelScrollbar,0, 0},
 	{0, GeneralConfig::TYPE_INTEGER, FSSF_PRIVATE,           NKeyPanelLayout,L"ScrollbarMenu",&Opt.ShowMenuScrollbar,1, 0},
 	{1, GeneralConfig::TYPE_INTEGER, FSSF_PRIVATE,           NKeyPanelLayout,L"ScreensNumber",&Opt.ShowScreensNumber,1, 0},
-	{1, GeneralConfig::TYPE_INTEGER, FSSF_PRIVATE,           NKeyPanelLayout,L"SortMode",&Opt.ShowSortMode,1, 0},
+	{1, GeneralConfig::TYPE_INTEGER, FSSF_PANEL,             NKeyPanelLayout,L"SortMode",&Opt.ShowSortMode,1, 0},
 	{1, GeneralConfig::TYPE_INTEGER, FSSF_PRIVATE,           NKeyPanelLayout,L"ColoredGlobalColumnSeparator",&Opt.HighlightColumnSeparator,1, 0},
 	{1, GeneralConfig::TYPE_INTEGER, FSSF_PRIVATE,           NKeyPanelLayout,L"DoubleGlobalColumnSeparator",&Opt.DoubleGlobalColumnSeparator,0, 0},

config.diff (2,848 bytes)

zg

2012-03-13 20:42

developer   bugnote:0008757

для чего они нужны?

Maximus

2012-03-13 21:32

reporter   bugnote:0008761

Нужны в ConEmu и его двух плагинах.

zg

2012-03-13 22:08

developer   bugnote:0008762

это понятно. интересует зачем нужны? нельзя ли сделать как-то по другому?..

Maximus

2012-03-13 23:36

reporter   bugnote:0008764

ColumnTitles, StatusLine, SortMode нужны хотя бы для того, чтобы корректно отрисоваться в режиме Tiles/Thumbnails. Без них, очевидно, не хватит информации о координатах панелей.

ShowMenuBar тоже для отрисовки нужен. Можно, конечно, через ж... (то есть через информацию о координатах панели сделать вывод о наличии меню), но зачем, если есть возможность получить настройку?

zg

2012-03-15 01:51

developer   bugnote:0008766

2546.

Maximus

2012-03-17 02:40

reporter   bugnote:0008778

Ок

Issue History

Date Modified Username Field Change
2012-03-13 19:28 Maximus New Issue
2012-03-13 19:28 Maximus File Added: config.diff
2012-03-13 20:42 zg Note Added: 0008757
2012-03-13 21:32 Maximus Note Added: 0008761
2012-03-13 22:08 zg Note Added: 0008762
2012-03-13 23:36 Maximus Note Added: 0008764
2012-03-15 01:51 zg Note Added: 0008766
2012-03-17 02:40 Maximus Note Added: 0008778
2012-03-17 02:40 Maximus Status new => resolved
2012-04-25 12:14 vskirdin Build => 2546
2012-04-25 12:14 vskirdin Status resolved => closed
2012-04-25 12:14 vskirdin Assigned To => zg
2012-04-25 12:14 vskirdin Resolution open => fixed
2012-04-25 12:14 vskirdin Fixed in Version => 3.0